<?xml version="1.0" encoding="UTF-8"?>
<!--
Licensed to the Apache Software Foundation (ASF) under one
or more contributor license agreements.  See the NOTICE file
distributed with this work for additional information
regarding copyright ownership.  The ASF licenses this file
to you under the Apache License, Version 2.0 (the
"License"); you may not use this file except in compliance
with the License.  You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing,
software distributed under the License is distributed on an
"AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, either express or implied.  See the License for the
specific language governing permissions and limitations
under the License.
-->

<screens xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
        xsi:noNamespaceSchemaLocation="http://ofbiz.apache.org/dtds/widget-screen.xsd">

    <!-- Included Screens -->
    <screen name="anonymoustrail">
        <section>
            <actions>
                <property-map resource="EcommerceUiLabels" map-name="uiLabelMap" global="true"/>
                <script location="component://ecommerce/webapp/ecommerce/WEB-INF/actions/order/AnonymousTrail.groovy"/>
            </actions>
            <widgets>
                <platform-specific><html><html-template location="component://ecommerce/webapp/ecommerce/order/anonymoustrail.ftl"/></html></platform-specific>
            </widgets>
        </section>
    </screen>

    <screen name="genericaddress">
        <section>
            <widgets>
                <platform-specific><html><html-template location="component://ecommerce/webapp/ecommerce/order/genericaddress.ftl"/></html></platform-specific>
            </widgets>
        </section>
    </screen>

    <screen name="orderheader">
        <section>
            <widgets>
                <platform-specific><html><html-template location="component://ecommerce/webapp/ecommerce/order/orderheader.ftl"/></html></platform-specific>
            </widgets>
        </section>
    </screen>

    <screen name="orderitems">
        <section>
            <widgets>
                <platform-specific><html><html-template location="component://ecommerce/webapp/ecommerce/order/orderitems.ftl"/></html></platform-specific>
            </widgets>
        </section>
    </screen>

    <!-- =========== Top-Level and Stand-Alone Screens =========== -->

    <screen name="anonymousCheckoutLinks">
        <section>
            <actions>
                <script location="component://ecommerce/webapp/ecommerce/WEB-INF/actions/order/AnonymousCheckoutLinks.groovy"/>
            </actions>
            <widgets>
                <platform-specific><html><html-template location="component://ecommerce/webapp/ecommerce/order/anonymousCheckoutLinks.ftl"/></html></platform-specific>
            </widgets>
        </section>
    </screen>
    <screen name="anonymousCheckoutDecorator">
        <section>
            <actions>
                <script location="component://ecommerce/webapp/ecommerce/WEB-INF/actions/order/AnonymousCheckoutLinks.groovy"/>
            </actions>
            <widgets>
                <decorator-screen name="main-decorator" location="${parameters.mainDecoratorLocation}">
                    <decorator-section name="body">
                        <section>
                            <widgets>
                                <include-screen name="anonymousCheckoutLinks"/>
                                <decorator-section-include name="body"/>
                            </widgets>
                        </section>
                    </decorator-section>
                </decorator-screen>
            </widgets>
        </section>
    </screen>

    <screen name="custsettings">
        <section>
            <actions>
                <set field="rightbarScreenName" value="rightbar"/>
                <set field="MainColumnStyle" value="rightonly"/>
                <set field="parameters.formNameValue" value="custsetupform" global="true"/>

                <set field="titleProperty" value="PageTitleShippingInformation"/>
                <script location="component://ecommerce/webapp/ecommerce/WEB-INF/actions/order/CustSettings.groovy"/>
            </actions>
            <widgets>
                <decorator-screen name="anonymousCheckoutDecorator">
                    <decorator-section name="body">
                        <platform-specific><html><html-template location="component://ecommerce/webapp/ecommerce/order/custsettings.ftl"/></html></platform-specific>
                    </decorator-section>
                </decorator-screen>
            </widgets>
        </section>
    </screen>

    <screen name="shipsettings">
        <section>
            <actions>
                <set field="rightbarScreenName" value="rightbar"/>
                <set field="MainColumnStyle" value="rightonly"/>
                <set field="parameters.formNameValue" value="shipsetupform" global="true"/>

                <set field="titleProperty" value="PageTitleShippingInformation"/>
                <script location="component://ecommerce/webapp/ecommerce/WEB-INF/actions/order/ShipSettings.groovy"/>
            </actions>
            <widgets>
                <decorator-screen name="anonymousCheckoutDecorator">
                    <decorator-section name="body">
                        <platform-specific><html><html-template location="component://ecommerce/webapp/ecommerce/order/shipsettings.ftl"/></html></platform-specific>
                    </decorator-section>
                </decorator-screen>
            </widgets>
        </section>
    </screen>

    <screen name="optionsettings">
        <section>
            <actions>
                <set field="rightbarScreenName" value="rightbar"/>
                <set field="MainColumnStyle" value="rightonly"/>
                <set field="parameters.formNameValue" value="optsetupform" global="true"/>

                <set field="titleProperty" value="PageTitleShippingOptions"/>
                <script location="component://ecommerce/webapp/ecommerce/WEB-INF/actions/order/OptionSettings.groovy"/>
            </actions>
            <widgets>
                <decorator-screen name="anonymousCheckoutDecorator">
                    <decorator-section name="body">
                        <platform-specific><html><html-template location="component://ecommerce/webapp/ecommerce/order/optionsettings.ftl"/></html></platform-specific>
                    </decorator-section>
                </decorator-screen>
            </widgets>
        </section>
    </screen>

    <screen name="paymentoptions">
        <section>
            <actions>
                <set field="rightbarScreenName" value="rightbar"/>
                <set field="MainColumnStyle" value="rightonly"/>
                <set field="parameters.formNameValue" value="paymentoptions" global="true"/>

                <set field="titleProperty" value="PageTitleBillingInformation"/>
                <script location="component://ecommerce/webapp/ecommerce/WEB-INF/actions/order/PaymentOptions.groovy"/>
                <script location="component://order/webapp/ordermgr/WEB-INF/actions/entry/StorePaymentOptions.groovy"/>
            </actions>
            <widgets>
                <decorator-screen name="anonymousCheckoutDecorator">
                    <decorator-section name="body">
                        <platform-specific><html><html-template location="component://ecommerce/webapp/ecommerce/order/paymentoptions.ftl"/></html></platform-specific>
                    </decorator-section>
                </decorator-screen>
            </widgets>
        </section>
    </screen>

    <screen name="paymentinformation">
        <section>
            <actions>
                <set field="rightbarScreenName" value="rightbar"/>
                <set field="MainColumnStyle" value="rightonly"/>
                <set field="parameters.formNameValue" value="billsetupform"/>

                <set field="titleProperty" value="PageTitleBillingInformation"/>
                <script location="component://ecommerce/webapp/ecommerce/WEB-INF/actions/order/PaymentInformation.groovy"/>
                <script location="component://order/webapp/ordermgr/WEB-INF/actions/entry/StorePaymentOptions.groovy"/>
            </actions>
            <widgets>
                <decorator-screen name="anonymousCheckoutDecorator">
                    <decorator-section name="body">
                        <platform-specific><html><html-template location="component://ecommerce/webapp/ecommerce/order/paymentinformation.ftl"/></html></platform-specific>
                    </decorator-section>
                </decorator-screen>
            </widgets>
        </section>
    </screen>

    <screen name="orderreview">
        <section>
            <actions>
                <set field="titleProperty" value="PageTitleCheckoutReview"/>
                <set field="parameters.formNameValue" value="orderreview" global="true"/>
                <script location="component://ecommerce/webapp/ecommerce/WEB-INF/actions/order/CheckoutReview.groovy"/>
            </actions>
            <widgets>
                <decorator-screen name="anonymousCheckoutDecorator">
                    <decorator-section name="body">
                        <platform-specific><html><html-template location="component://ecommerce/webapp/ecommerce/order/checkoutreview.ftl"/></html></platform-specific>
                    </decorator-section>
                </decorator-screen>
            </widgets>
        </section>
    </screen>

    <screen name="billsettings">
        <section>
            <actions>
                <set field="rightbarScreenName" value="rightbar"/>
                <set field="MainColumnStyle" value="rightonly"/>

                <set field="titleProperty" value="PageTitleBillingInformation"/>
                <set field="anonymoustrailScreen" value="component://ecommerce/widget/OrderScreens.xml#anonymoustrail"/>
                <script location="component://ecommerce/webapp/ecommerce/WEB-INF/actions/order/BillSettings.groovy"/>
                <script location="component://order/webapp/ordermgr/WEB-INF/actions/entry/StorePaymentOptions.groovy"/>
            </actions>
            <widgets>
                <decorator-screen name="main-decorator" location="${parameters.mainDecoratorLocation}">
                    <decorator-section name="body">
                        <platform-specific><html><html-template location="component://ecommerce/webapp/ecommerce/order/billsettings.ftl"/></html></platform-specific>
                    </decorator-section>
                </decorator-screen>
            </widgets>
        </section>
    </screen>

    <screen name="checkoutoptions">
        <section>
            <actions>
                <set field="titleProperty" value="PageTitleCheckoutOptions"/>

                <script location="component://order/webapp/ordermgr/WEB-INF/actions/entry/CheckoutPayment.groovy"/>
                <script location="component://order/webapp/ordermgr/WEB-INF/actions/entry/CheckoutOptions.groovy"/>
                <script location="component://order/webapp/ordermgr/WEB-INF/actions/entry/StorePaymentOptions.groovy"/>
            </actions>
            <widgets>
                <decorator-screen name="main-decorator" location="${parameters.mainDecoratorLocation}">
                    <decorator-section name="body">
                        <platform-specific><html><html-template location="component://order/webapp/ordermgr/entry/barezcheckoutoptions.ftl"/></html></platform-specific>
                    </decorator-section>
                </decorator-screen>
            </widgets>
        </section>
    </screen>

    <screen name="checkoutshippingaddress">
        <section>
            <actions>
                <set field="rightbarScreenName" value="rightbar"/>
                <set field="MainColumnStyle" value="rightonly"/>

                <set field="titleProperty" value="PageTitleCheckoutOptions"/>
                <script location="component://order/webapp/ordermgr/WEB-INF/actions/entry/CheckoutShippingAddress.groovy"/>
            </actions>
            <widgets>
                <decorator-screen name="main-decorator" location="${parameters.mainDecoratorLocation}">
                    <decorator-section name="body">
                        <platform-specific><html><html-template location="component://order/webapp/ordermgr/entry/checkoutshippingaddress.ftl"/></html></platform-specific>
                    </decorator-section>
                </decorator-screen>
            </widgets>
        </section>
    </screen>

    <screen name="checkoutshippingoptions">
        <section>
            <actions>
                <set field="rightbarScreenName" value="rightbar"/>
                <set field="MainColumnStyle" value="rightonly"/>

                <set field="titleProperty" value="PageTitleCheckoutOptions"/>
                <script location="component://ecommerce/webapp/ecommerce/WEB-INF/actions/order/CheckoutShippingOptions.groovy"/>
            </actions>
            <widgets>
                <decorator-screen name="main-decorator" location="${parameters.mainDecoratorLocation}">
                    <decorator-section name="body">
                        <platform-specific><html><html-template location="component://ecommerce/webapp/ecommerce/order/checkoutshippingoptions.ftl"/></html></platform-specific>
                    </decorator-section>
                </decorator-screen>
            </widgets>
        </section>
    </screen>

    <screen name="checkoutpayment">
        <section>
            <actions>
                <set field="rightbarScreenName" value="rightbar"/>
                <set field="MainColumnStyle" value="rightonly"/>

                <set field="titleProperty" value="PageTitleCheckoutOptions"/>
                <script location="component://order/webapp/ordermgr/WEB-INF/actions/entry/CheckoutPayment.groovy"/>
                <script location="component://order/webapp/ordermgr/WEB-INF/actions/entry/StorePaymentOptions.groovy"/>
            </actions>
            <widgets>
                <decorator-screen name="main-decorator" location="${parameters.mainDecoratorLocation}">
                    <decorator-section name="body">
                        <platform-specific><html><html-template location="component://ecommerce/webapp/ecommerce/order/checkoutpayment.ftl"/></html></platform-specific>
                    </decorator-section>
                </decorator-screen>
            </widgets>
        </section>
    </screen>

    <screen name="splitship">
        <section>
            <actions>
                <set field="titleProperty" value="PageTitleSplitItemsForShipping"/>
                <script location="component://order/webapp/ordermgr/WEB-INF/actions/entry/SplitShip.groovy"/>
            </actions>
            <widgets>
                <decorator-screen name="main-decorator" location="${parameters.mainDecoratorLocation}">
                    <decorator-section name="body">
                        <platform-specific><html><html-template location="component://ecommerce/webapp/ecommerce/order/splitship.ftl"/></html></platform-specific>
                    </decorator-section>
                </decorator-screen>
            </widgets>
        </section>
    </screen>

    <screen name="checkoutreview">
        <section>
            <actions>
                <set field="titleProperty" value="PageTitleCheckoutReview"/>
                <set field="parameters.formNameValue" value="orderreview" global="true"/>
                <script location="component://ecommerce/webapp/ecommerce/WEB-INF/actions/order/CheckoutReview.groovy"/>
            </actions>
            <widgets>
                <decorator-screen name="main-decorator" location="${parameters.mainDecoratorLocation}">
                    <decorator-section name="body">
                        <platform-specific><html><html-template location="component://ecommerce/webapp/ecommerce/order/checkoutreview.ftl"/></html></platform-specific>
                    </decorator-section>
                </decorator-screen>
            </widgets>
        </section>
    </screen>

    <screen name="ordercomplete">
        <section>
            <actions>
                <set field="titleProperty" value="PageTitleOrderSummary"/>
                <script location="component://ecommerce/webapp/ecommerce/WEB-INF/actions/order/OrderStatus.groovy"/>
            </actions>
            <widgets>
                <decorator-screen name="main-decorator" location="${parameters.mainDecoratorLocation}">
                    <decorator-section name="body">
                        <platform-specific><html><html-template location="component://ecommerce/webapp/ecommerce/order/ordercomplete.ftl"/></html></platform-specific>
                    </decorator-section>
                </decorator-screen>
            </widgets>
        </section>
    </screen>

    <screen name="orderhistory">
        <section>
            <actions>
                <set field="rightbarScreenName" value="rightbar"/>
                <set field="MainColumnStyle" value="rightonly"/>

                <set field="titleProperty" value="PageTitleOrderHistory"/>
                <script location="component://ecommerce/webapp/ecommerce/WEB-INF/actions/order/OrderHistory.groovy"/>
            </actions>
            <widgets>
                <decorator-screen name="main-decorator" location="${parameters.mainDecoratorLocation}">
                    <decorator-section name="body">
                        <platform-specific><html><html-template location="component://ecommerce/webapp/ecommerce/order/orderhistory.ftl"/></html></platform-specific>
                    </decorator-section>
                </decorator-screen>
            </widgets>
        </section>
    </screen>

    <screen name="orderstatus">
        <section>
            <actions>
                
                <set field="MainColumnStyle" value="rightonly"/>

                <set field="maySelectItems" value="Y"/>
                <set field="titleProperty" value="PageTitleOrderStatus"/>
                <script location="component://ecommerce/webapp/ecommerce/WEB-INF/actions/order/OrderStatus.groovy"/>
            </actions>
            <widgets>
                <decorator-screen name="main-decorator" location="${parameters.mainDecoratorLocation}">
                    <decorator-section name="body">
                        <platform-specific><html><html-template location="component://ecommerce/webapp/ecommerce/order/orderstatus.ftl"/></html></platform-specific>
                    </decorator-section>
                </decorator-screen>
            </widgets>
        </section>
    </screen>

    <screen name="requestreturn">
        <section>
            <actions>
                <set field="rightbarScreenName" value="rightbar"/>
                <set field="MainColumnStyle" value="rightonly"/>

                <set field="titleProperty" value="PageTitleRequestReturn"/>
                <script location="component://ecommerce/webapp/ecommerce/WEB-INF/actions/order/RequestReturn.groovy"/>
            </actions>
            <widgets>
                <decorator-screen name="main-decorator" location="${parameters.mainDecoratorLocation}">
                    <decorator-section name="body">
                        <platform-specific><html><html-template location="component://ecommerce/webapp/ecommerce/order/requestreturn.ftl"/></html></platform-specific>
                    </decorator-section>
                </decorator-screen>
            </widgets>
        </section>
    </screen>

    <!-- Anonymous Checkout 3 steps entry -->

    <screen name="quickAnonOrderHeader">
        <section>
            <widgets>
                <platform-specific><html><html-template location="component://ecommerce/webapp/ecommerce/order/quickAnonOrderHeader.ftl"/></html></platform-specific>
            </widgets>
        </section>
    </screen>


    <screen name="quickAnonCheckoutLinks">
        <section>
            <actions>
                <script location="component://ecommerce/webapp/ecommerce/WEB-INF/actions/order/QuickAnonCheckoutLinks.groovy"/>
            </actions>
            <widgets>
                <platform-specific><html><html-template location="component://ecommerce/webapp/ecommerce/order/quickAnonCheckoutLinks.ftl"/></html></platform-specific>
            </widgets>
        </section>
    </screen>

    <screen name="quickAnonCheckoutDecorator">
        <section>
            <actions>
                <script location="component://ecommerce/webapp/ecommerce/WEB-INF/actions/order/QuickAnonCheckoutLinks.groovy"/>
            </actions>
            <widgets>
                <decorator-screen name="main-decorator" location="${parameters.mainDecoratorLocation}">
                    <decorator-section name="body">
                        <section>
                            <widgets>
                                <include-screen name="quickAnonCheckoutLinks"/>
                                <decorator-section-include name="body"/>
                            </widgets>
                        </section>
                    </decorator-section>
                </decorator-screen>
            </widgets>
        </section>
    </screen>

    <screen name="quickAnonCustSettings">
        <section>
            <actions>
                <set field="rightbarScreenName" value="rightbar"/>
                <set field="MainColumnStyle" value="rightonly"/>
                <set field="parameters.formNameValue" value="quickAnonCustSetupForm" global="true"/>

                <set field="titleProperty" value="PageTitleShippingInformation"/>
                <set field="layoutSettings.javaScripts[+0]" value="/ecommerce/images/quickAnonCustSettings.js" global="true"/>
                <script location="component://ecommerce/webapp/ecommerce/WEB-INF/actions/order/QuickAnonCustSettings.groovy"/>
            </actions>
            <widgets>
                <decorator-screen name="quickAnonCheckoutDecorator">
                    <decorator-section name="body">
                        <platform-specific><html><html-template location="component://ecommerce/webapp/ecommerce/order/quickAnonCustSettings.ftl"/></html></platform-specific>
                    </decorator-section>
                </decorator-screen>
            </widgets>
        </section>
    </screen>

    <screen name="quickAnonOptionSettings">
        <section>
            <actions>
                <property-map resource="EcommerceUiLabels" map-name="uiLabelMap" global="true"/>
                <property-map resource="ContentUiLabels" map-name="uiLabelMap" global="true"/>
                <property-map resource="CommonUiLabels" map-name="uiLabelMap" global="true"/>
                <property-map resource="ProductUiLabels" map-name="uiLabelMap" global="true"/>
                <property-map resource="AccountingUiLabels" map-name="uiLabelMap" global="true"/>
                <property-map resource="PartyUiLabels" map-name="uiLabelMap" global="true"/>
                <property-map resource="OrderUiLabels" map-name="uiLabelMap" global="true"/>
                <!--set field="parameters.formNameValue" value="quickAnonOptSetupForm" global="true"/-->

                <set field="titleProperty" value="PageTitleShippingOptions"/>
                <script location="component://ecommerce/webapp/ecommerce/WEB-INF/actions/order/QuickAnonOptionSettings.groovy"/>
            </actions>
            <widgets>
                <platform-specific><html><html-template location="component://ecommerce/webapp/ecommerce/order/quickAnonOptionSettings.ftl"/></html></platform-specific>
            </widgets>
        </section>
    </screen>

    <screen name="quickAnonPaymentInformation">
        <section>
            <actions>
                <set field="titleProperty" value="PageTitleBillingInformation"/>
                <script location="component://ecommerce/webapp/ecommerce/WEB-INF/actions/order/QuickAnonPaymentInformation.groovy"/>
                <script location="component://order/webapp/ordermgr/WEB-INF/actions/entry/StorePaymentOptions.groovy"/>
            </actions>
            <widgets>
               <platform-specific><html><html-template location="component://ecommerce/webapp/ecommerce/order/quickAnonPaymentInformation.ftl"/></html></platform-specific>
            </widgets>
        </section>
    </screen>

    <screen name="quickAnonOrderReview">
        <section>
            <actions>
                <set field="titleProperty" value="PageTitleCheckoutReview"/>
                <set field="parameters.formNameValue" value="quickAnonOrderReview" global="true"/>
                <script location="component://ecommerce/webapp/ecommerce/WEB-INF/actions/order/CheckoutReview.groovy"/>
            </actions>
            <widgets>
                <decorator-screen name="quickAnonCheckoutDecorator">
                    <decorator-section name="body">
                        <platform-specific><html><html-template location="component://ecommerce/webapp/ecommerce/order/quickAnonCheckoutReview.ftl"/></html></platform-specific>
                    </decorator-section>
                </decorator-screen>
            </widgets>
        </section>
    </screen>

    <screen name="quickAnonCcInfo">
        <section>
            <actions>
                <!-- base/top/specific map first, then more common map added for shared labels -->
                <property-map resource="EcommerceUiLabels" map-name="uiLabelMap" global="true"/>
                <property-map resource="ContentUiLabels" map-name="uiLabelMap" global="true"/>
                <property-map resource="CommonUiLabels" map-name="uiLabelMap" global="true"/>
                <property-map resource="ProductUiLabels" map-name="uiLabelMap" global="true"/>
                <property-map resource="AccountingUiLabels" map-name="uiLabelMap" global="true"/>
                <property-map resource="PartyUiLabels" map-name="uiLabelMap" global="true"/>
                <property-map resource="OrderUiLabels" map-name="uiLabelMap" global="true"/>
                <script location="component://ecommerce/webapp/ecommerce/WEB-INF/actions/order/QuickAnonPaymentInformation.groovy"/>
            </actions>
            <widgets>
                <platform-specific><html><html-template location="component://common/webcommon/includes/messages.ftl"/></html></platform-specific>
                <platform-specific><html><html-template location="component://ecommerce/webapp/ecommerce/order/ccinfo.ftl"/></html></platform-specific>
            </widgets>
        </section>
    </screen>

    <screen name="quickAnonEftInfo">
        <section>
            <actions>
                <!-- base/top/specific map first, then more common map added for shared labels -->
                <property-map resource="EcommerceUiLabels" map-name="uiLabelMap" global="true"/>
                <property-map resource="ContentUiLabels" map-name="uiLabelMap" global="true"/>
                <property-map resource="CommonUiLabels" map-name="uiLabelMap" global="true"/>
                <property-map resource="ProductUiLabels" map-name="uiLabelMap" global="true"/>
                <property-map resource="AccountingUiLabels" map-name="uiLabelMap" global="true"/>
                <property-map resource="PartyUiLabels" map-name="uiLabelMap" global="true"/>
                <property-map resource="OrderUiLabels" map-name="uiLabelMap" global="true"/>
                <script location="component://ecommerce/webapp/ecommerce/WEB-INF/actions/order/QuickAnonPaymentInformation.groovy"/>
            </actions>
            <widgets>
                <platform-specific><html><html-template location="component://common/webcommon/includes/messages.ftl"/></html></platform-specific>
                <platform-specific><html><html-template location="component://ecommerce/webapp/ecommerce/order/eftinfo.ftl"/></html></platform-specific>
            </widgets>
        </section>
    </screen>

    <screen name="quickAnonGcInfo">
        <section>
            <actions>
                <!-- base/top/specific map first, then more common map added for shared labels -->
                <property-map resource="EcommerceUiLabels" map-name="uiLabelMap" global="true"/>
                <property-map resource="ContentUiLabels" map-name="uiLabelMap" global="true"/>
                <property-map resource="CommonUiLabels" map-name="uiLabelMap" global="true"/>
                <property-map resource="ProductUiLabels" map-name="uiLabelMap" global="true"/>
                <property-map resource="AccountingUiLabels" map-name="uiLabelMap" global="true"/>
                <property-map resource="PartyUiLabels" map-name="uiLabelMap" global="true"/>
                <property-map resource="OrderUiLabels" map-name="uiLabelMap" global="true"/>
                <script location="component://ecommerce/webapp/ecommerce/WEB-INF/actions/order/QuickAnonPaymentInformation.groovy"/>
            </actions>
            <widgets>
              <platform-specific><html><html-template location="component://common/webcommon/includes/messages.ftl"/></html></platform-specific>
              <platform-specific><html><html-template location="component://ecommerce/webapp/ecommerce/order/gcinfo.ftl"/></html></platform-specific>
            </widgets>
        </section>
    </screen>
    <screen name="quickAnonOrderItems">
        <section>
            <actions>
                <!-- base/top/specific map first, then more common map added for shared labels -->
                <property-map resource="EcommerceUiLabels" map-name="uiLabelMap" global="true"/>
                <property-map resource="ContentUiLabels" map-name="uiLabelMap" global="true"/>
                <property-map resource="CommonUiLabels" map-name="uiLabelMap" global="true"/>
                <property-map resource="ProductUiLabels" map-name="uiLabelMap" global="true"/>
                <property-map resource="AccountingUiLabels" map-name="uiLabelMap" global="true"/>
                <property-map resource="PartyUiLabels" map-name="uiLabelMap" global="true"/>
                <property-map resource="OrderUiLabels" map-name="uiLabelMap" global="true"/>
                <script location="component://ecommerce/webapp/ecommerce/WEB-INF/actions/order/CheckoutReview.groovy"/>
                <script location="component://ecommerce/webapp/ecommerce/WEB-INF/actions/order/QuickAnonPaymentInformation.groovy"/>
            </actions>
            <widgets>
                <platform-specific><html><html-template location="component://ecommerce/webapp/ecommerce/order/orderitems.ftl"/></html></platform-specific>
            </widgets>
        </section>
    </screen>

    <screen name="OnePageCheckout">
        <section>
            <actions>
                <set field="titleProperty" value="EcommerceOnePageCheckout"/>
                <set field="layoutSettings.javaScripts[]" value="/ecommerce/images/checkoutProcess.js" global="true"/>
                <set field="layoutSettings.javaScripts[]" value="/ordermgr/images/js/geoAutoCompleter.js" global="true"/>
                <script location="component://ecommerce/webapp/ecommerce/WEB-INF/actions/customer/EditShippingAddress.groovy"/>
                <script location="component://ecommerce/webapp/ecommerce/WEB-INF/actions/customer/EditBillingAddress.groovy"/>
                <script location="component://ecommerce/webapp/ecommerce/WEB-INF/actions/customer/EditEmailAndTelecomNumber.groovy"/>
                <script location="component://ecommerce/webapp/ecommerce/WEB-INF/actions/customer/OnePageCheckoutOptions.groovy"/>
            </actions>
            <widgets>
                <decorator-screen name="main-decorator" location="${parameters.mainDecoratorLocation}">
                    <decorator-section name="body">
                        <platform-specific><html><html-template location="component://ecommerce/webapp/ecommerce/order/OnePageCheckoutProcess.ftl"/></html></platform-specific>
                    </decorator-section>
                </decorator-screen>
            </widgets>
        </section>
    </screen>
    
    <screen name="gotomellatpage">
    	<section>
    		<actions>
    		</actions>
    		<widgets>
    			<platform-specific><html><html-template location="component://ecommerce/webapp/ecommerce/order/RedirectToMellat.ftl"/></html></platform-specific>
    		</widgets>
    	</section>
    </screen>
    <screen name="paymentnotsuccessfull">
    	<section>
    		<actions>
    		</actions>
    		<widgets>
    			<decorator-screen name="main-decorator" location="${parameters.mainDecoratorLocation}">
                    <decorator-section name="body">
    					<platform-specific><html><html-template location="component://ecommerce/webapp/ecommerce/order/paymentnotsuccessfull.ftl"/></html></platform-specific>
    				</decorator-section>
    			</decorator-screen>
    		</widgets>
    	</section>
    </screen>
    <screen name="paymenterror">
    	<section>
    		<actions>
    		</actions>
    		<widgets>
    			<decorator-screen name="main-decorator" location="${parameters.mainDecoratorLocation}">
                    <decorator-section name="body">
    					<platform-specific><html><html-template location="component://ecommerce/webapp/ecommerce/order/paymenterror.ftl"/></html></platform-specific>
    				</decorator-section>
    			</decorator-screen>
    		</widgets>
    	</section>
    </screen>
    <screen name="addorderitemtsocartprepare">
    	<section>
    		<actions>
    		</actions>
    		<widgets>
    			<decorator-screen name="main-decorator" location="${parameters.mainDecoratorLocation}">
                    <decorator-section name="body">
    					<platform-specific><html><html-template location="component://ecommerce/webapp/ecommerce/order/addorderitemtsocartprepare.ftl"/></html></platform-specific>
    				</decorator-section>
    			</decorator-screen>
    		</widgets>
    	</section>
    </screen>
    <screen name="ordercompleteprepare">
    	<section>
    		<actions>
    		</actions>
    		<widgets>
    			<decorator-screen name="main-decorator" location="${parameters.mainDecoratorLocation}">
                    <decorator-section name="body">
    					<platform-specific><html><html-template location="component://ecommerce/webapp/ecommerce/order/ordercompleteprepare.ftl"/></html></platform-specific>
    				</decorator-section>
    			</decorator-screen>
    		</widgets>
    	</section>
    </screen>
    <screen name="paymenterrorprepare">
    	<section>
    		<actions>
    		</actions>
    		<widgets>
    			<decorator-screen name="main-decorator" location="${parameters.mainDecoratorLocation}">
                    <decorator-section name="body">
    					<platform-specific><html><html-template location="component://ecommerce/webapp/ecommerce/order/paymenterrorprepare.ftl"/></html></platform-specific>
    				</decorator-section>
    			</decorator-screen>
    		</widgets>
    	</section>
    </screen>
    
</screens>
